For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all document spaces.
      • POSTCreates a new document space.
      • GETReturns the document space with the specified id.
      • PUTUpdates the document space with the specified id.
      • DELDeletes the document space with the specified id.
      • POSTAdds a list of document space contributors to a document space.
      • PUTUpdates the access of a document space contributor to the document space with the specified id.
      • DELDeletes the document space contributor with the specified id from a document space.
      • POSTAdds teams to the document space with the specified id.
      • PUTUpdates the access of a team to the document space with the specified id.
      • DELDeletes the team with the specified id from a document space.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Spaces

Creates a new document space.

POST
https://api.awork.com/api/v1/documentspaces
POST
/api/v1/documentspaces
$curl -X POST https://api.awork.com/api/v1/documentspaces \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
3 "createdOn": "2024-06-01T09:15:30.000Z",
4 "createdBy": "a3bb189e-8bf9-3888-9912-ace4e6543002",
5 "updatedOn": "2024-06-02T14:45:00.000Z",
6 "updatedBy": "a3bb189e-8bf9-3888-9912-ace4e6543002",
7 "name": "Marketing Documents",
8 "isExternal": false,
9 "emoji": "📁",
10 "color": "blue",
11 "order": 2.5,
12 "workspaceAccessLevel": "manage",
13 "contributors": [
14 {
15 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
16 "userId": "c56a4180-65aa-42ec-a945-5fd21dec0538",
17 "accessLevel": "manage",
18 "firstName": "Lisa",
19 "lastName": "Smith",
20 "hasImage": true,
21 "isDeactivated": false
22 }
23 ],
24 "teams": [
25 {
26 "id": "e7d13b5a-9f3b-4f1a-8f3a-1a2b3c4d5e6f",
27 "teamId": "b1a2c3d4-e5f6-7890-abcd-ef1234567890",
28 "accessLevel": "read",
29 "name": "Designers",
30 "icon": "paintbrush",
31 "color": "purple"
32 }
33 ]
34}
<Check title="Required Permissions" icon="key">The user must be an admin.</Check>
Was this page helpful?
Previous

Returns the document space with the specified id.

Next
Built with
Required Permissions
The user must be an admin.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The model used to create the document space.
namestring or nullOptional0-1000 characters
The name of the document space.
emojistring or nullOptional0-25 characters
The emoji of the document space.
colorstring or nullOptional0-14 characters
The color of the document space for display purposes in the app. Can be null when no color assigned.
orderdouble or nullOptional
The order of the document space in the list of document spaces.
workspaceAccessLevelenum or nullOptional

Determines the level of access to this document space granted to all workspace users. Can be either none, read, or manage.

Allowed values:

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the document space.
isExternalboolean

Whether this document space is coming from an external workspace (awork Connect).

emojistring or null
The emoji of the document space.
colorstring or null
The color of the document space for display purposes in the app. Can be null when no color assigned.
orderdouble or null
The order of the document space in the list of document spaces.
workspaceAccessLevelstring or null

Determines the level of access to this document space granted to all workspace users. Can be either not set (no access), read, or manage.

contributorslist of objects or null
The contributors of this document space.
teamslist of objects or null
The teams this document space is connected to.

Errors

400
Bad Request Error
401
Unauthorized Error